// To parse this JSON data, do
//
//     final typeOfRoad = typeOfRoadFromJson(jsonString);

import 'dart:convert';

TypeOfRoad typeOfRoadFromJson(String str) =>
    TypeOfRoad.fromJson(json.decode(str));

String typeOfRoadToJson(TypeOfRoad data) => json.encode(data.toJson());

class TypeOfRoad {
  final int? id;
  final String? roadType;
  final String? deduction;

  TypeOfRoad({
    this.id,
    this.roadType,
    this.deduction,
  });

  TypeOfRoad copy({
    final int? id,
    final String? roadType,
    final String? deduction,
  }) {
    return TypeOfRoad(
      id: id ?? this.id,
      roadType: roadType ?? this.roadType,
      deduction: deduction ?? this.deduction,
    );
  }

  factory TypeOfRoad.fromJson(Map<String, dynamic> json) => TypeOfRoad(
        id: json["id"],
        roadType: json["road_type"],
        deduction: json["deduction"],
      );

  factory TypeOfRoad.fromJson2(Map<String, dynamic> json) => TypeOfRoad(
        id: json["id"],
        roadType: json["roadType"],
        deduction: json["deduction"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "road_type": roadType,
        "deduction": deduction,
      };
}
